Summary: The quintessential all-purpose communications program
Name: ckermit
Version: 8.0.209
Release: 2
License: Special (see Copyright Notice)
Group: Applications/Communications
Source0: ftp://kermit.columbia.edu/kermit/archives/cku209.tar.gz
Source1: cku-%{name}.local.ini
Source2: cku-%{name}.modem.generic.ini
Source3: cku-%{name}.locale.ini
Source4: cku-%{name}.phone
# XXX Swipe files from cku206, remove when added to cku208 tarball.
Source10: ckermit.ini
Source11: ckuker.nr
URL: http://www.columbia.edu/kermit/
BuildRequires: pam-devel
BuildRequires: pkgconfig
BuildRequires: openssl-devel >= 0.9.7
BuildRequires: gmp-devel >= 3.1.1
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Obsoletes: gkermit

%description
C-Kermit is a combined serial and network communication software
package offering a consistent, medium-independent, cross-platform
approach to connection establishment, terminal sessions, file transfer
and management, character-set translation, and automation of
communication tasks. For more information please see:

http://www.columbia.edu/kermit/

C-KERMIT 7.0 COPYRIGHT NOTICE:

The C-Kermit license does not fall into any convenient category. It is
not commercial, not shareware, not freeware, not GPL. The terms can be
summarized as follows:

1. You may download C-Kermit without license or fee for your own use
or internal use within your company or institution.

2. You may install C-Kermit without license or fee as a service or
application on a computer within your company that is accessed by
customers or clients. This provision would apply, for example, to an
ISP or a medical claims clearinghouse.

3. You may include C-Kermit with a "Free UNIX" or other Open Source
operating-system distribution such as GNU/Linux, FreeBSD, NetBSD,
OpenBSD, etc.

4. Except as in (3), you may not sell or otherwise furnish C-Kermit as
a software product, or a component of any product, to actual or
potential customers or clients without a commercial license; to see
the commercial license terms, see http://www.columbia.edu/kermit/.

In addition, we request that those who make more than casual use of
C-Kermit purchase the published manual, Using C-Kermit. This helps
them to get the most out of the software, it reduces the load on our
help desk, and it helps to fund the Kermit Project.

The Kermit Project must fund itself entirely out of income, which
comes from software licenses, book sales, and support contracts. The
C-Kermit licensing terms are designed to be as generous and fair as
possible within this framework. Simply stated: if you just want to use
it, be our guest. If you want us to help you use it, please consult
the manual first. If you want to make a product or commodity of it,
you have to pay for it.

%prep
%setup -q -c

# XXX Swipe files from cku206, remove when added to cku208 tarball.
cp %{SOURCE10} .
cp %{SOURCE11} .

%build
%{__make} redhat80 \
	KFLAGS="-O0 $RPM_OPT_FLAGS -DOPENSSL_097 -Dsdata=s_data" \
	K4LIB=-L/usr/kerberos/%{_lib} \
	K4INC=-I/usr/kerberos/include \
	K5LIB=-L/usr/kerberos/%{_lib} \
	K5INC=-I/usr/kerberos/include \
	SSLLIB= \
	SSLINC= \
	%{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1,%{_sysconfdir}/kermit}

perl -pi -e "s|%{_prefix}/local/bin/kermit|%{_bindir}/kermit|g" ckermit.ini

install wermit $RPM_BUILD_ROOT%{_bindir}/kermit
install ckuker.nr $RPM_BUILD_ROOT%{_mandir}/man1/kermit.1
install ckermit.ini $RPM_BUILD_ROOT%{_sysconfdir}/kermit/
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.local.ini
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.modem.ini
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.locale.ini
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/kermit/ckermit.phone

gzip -9nf *.txt COPYING.TXT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc *.gz
%dir %{_sysconfdir}/kermit
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/kermit/*
%attr(755, root, root) %{_bindir}/kermit
%{_mandir}/man1/kermit.1*

%changelog
* Thu May  1 2003 Elliot Lee <sopwith@redhat.com> 8.0.209-2
- Define sdata=s_data to fix ppc64 build

* Mon Apr 21 2003 Jeff Johnson <jbj@redhat.com> 8.0.209-1
- update to 8.0.209.

* Wed Feb 26 2003 Jeff Johnson <jbj@redhat.com> 8.0.206-1.20030226
- build 20030226 snap shot (with errno fix) for raw hide.

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 8.0.206-0.6
- rebuild

* Tue Jan 21 2003 Jeff Johnson <jbj@redhat.com> 8.0.26-0.5
- remove "CLICK HERE" from description (#82133).

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 8.0.206-0.4
- rebuild

* Fri Jan  3 2003 Nalin Dahyabhai <nalin@redhat.com>
- Build using predefined redhat80 target
- Pass include and library paths for Kerberos and SSL directly to make
- Define OPENSSL_097 in KFLAGS to build with OpenSSL 0.9.7

* Thu Dec 12 2002 Elliot Lee <sopwith@redhat.com> 8.0.206-0.3
- Add patch2 to include errno.h
- Change cku-makefile to not build KRB4 & KRB524, because kerberosIV/des.h
  conflicts with openssl/des.h

* Fri Nov 29 2002 Jeff Johnson <jbj@redhat.com> 8.0.206-0.2
- obsolete gkermit

* Mon Nov 25 2002 Jeff Johnson <jbj@redhat.com> 8.0.206-0.1
- create (with thanks to PLD, who packaged C-Kermit before Red Hat did).
